## GtkPlotBar

GtkPlotBar

## Synopsis

    #include <gtkextra.h>

    enum                GtkPlotBarUnits;
    GtkWidget*          gtk_plot_bar_new                    (GtkOrientation orientation);
    void                gtk_plot_bar_construct              (GtkPlotBar *bar,
                                                             GtkOrientation orientation);
    void                gtk_plot_bar_set_width              (GtkPlotBar *bar,
                                                             gdouble width);
    gdouble             gtk_plot_bar_get_width              (GtkPlotBar *bar);

## Description

## Details

### enum GtkPlotBarUnits

    typedef enum
    {
      GTK_PLOT_BAR_POINTS,
      GTK_PLOT_BAR_RELATIVE,
      GTK_PLOT_BAR_ABSOLUTE,
    } GtkPlotBarUnits;

### gtk_plot_bar_new ()

    GtkWidget*          gtk_plot_bar_new                    (GtkOrientation orientation);

`orientation` : |
Returns : |

### gtk_plot_bar_construct ()

    void                gtk_plot_bar_construct              (GtkPlotBar *bar,
                                                             GtkOrientation orientation);

`bar` : |
`orientation` : |

### gtk_plot_bar_set_width ()

    void                gtk_plot_bar_set_width              (GtkPlotBar *bar,
                                                             gdouble width);

`bar` : |
`width` : |

### gtk_plot_bar_get_width ()

    gdouble             gtk_plot_bar_get_width              (GtkPlotBar *bar);

`bar` : |
Returns : |